Rust Search

Find the best content on Rust, curated by the community; a search engine for Rustaceans.
github.com
## Summary [summary]: #summary The [rustdoc-types](https://crates.io/crates/rustdoc-types) crate will go from being individually maintained to being officially maintained by the rustdoc team. ## Motivation [motivation]: #motivation [`rustdo...
RFC 3673 RFC 2023-10-03 ~4 min read
github.com
## Summary [summary]: #summary Add a frontmatter syntax to Rust as a way for [cargo to have manifests embedded in source code][RFC 3502]: ````rust #!/usr/bin/env cargo --- [dependencies] clap = { version = "4.2", features = ["derive"] } ---...
RFC 3503 RFC 2023-09-26 ~20 min read
github.com
## Summary [summary]: #summary This RFC is an amendment to [RFC 3085] to declare that the Rust Project intends to produce a new edition in 2024, to set up a [project group] to deliver the edition, and to establish a tentative cadence for fu...
RFC 3501 RFC 2023-09-25 ~4 min read
github.com
## Summary [summary]: #summary This RFC proposes extending `cargo update` to allow updates to pre-release versions when requested with `--precise`. For example, a `cargo` user would be able to call `cargo update -p dep --precise 0.1.1-pre.0...
RFC 3493 RFC 2023-09-20 ~9 min read
github.com
## Summary [summary]: #summary By default, cargo will treat any optional dependency as a [feature](https://doc.rust-lang.org/cargo/reference/features.html). As of cargo 1.60, these can be disabled by declaring a feature that activates the o...
RFC 3491 RFC 2023-09-18 ~3 min read
github.com
Unofficial implementation of Apache Arrow spec in safe Rust
Crate v0.18.0 2023-09-17
github.com
Linux GPIO Character Device Support (/dev/gpiochipN)
Crate v0.6.0 2023-09-12
github.com
Summary This RFC describes a new key under features in Cargo.toml for documentation. This will allow Cargo to display this information to the user and provide a way for rustdoc to eventually render this data (how this is rendered is outside...
RFC 3485 RFC 2023-09-09 ~5 min read
github.com
## Summary [summary]: #summary This RFC helps to codify the T-lang policy regarding `cargo check` vs `cargo build`. This is a policy RFC rather than a change to the language itself, and is thus "instantly stable" once accepted. There's no a...
RFC 3477 RFC 2023-08-22 ~3 min read
github.com
Raw bindings to Linux keyring syscalls
Crate v0.4.0 2023-08-17
github.com
Multi-provider elliptic curve digital signature library with ECDSA and Ed25519 support
Crate v0.27.1 2023-08-15
github.com
Internal procedural macros for tower-lsp
Crate v0.9.0 2023-08-11
github.com
OpenTelemetry is a metrics collection and distributed tracing framework
Crate v0.20.0 2023-07-29
github.com
## Summary In Rust 2024 and later editions, return position `impl Trait` (RPIT) opaque types will automatically capture all in-scope type *and* lifetime parameters. In preparation for this, new RPIT-like `impl Trait` features introduced int...
RFC 3498 RFC 2023-07-26 ~31 min read
github.com
Implementation of the Unicode Line Breaking Algorithm
Crate v0.1.5 2023-07-25
github.com
Copy directories recursively in a straightforward and predictable way.
Crate v0.1.3 2023-07-25
github.com
## Summary [summary]: #summary The Rust community has outgrown the current crates.io policies. This RFC proposes a new "Terms of Use" policy based on prior work by PyPI, npm and GitHub. ## Motivation [motivation]: #motivation > Why are we d...
RFC 3463 RFC 2023-07-24 ~10 min read
github.com
Various utilities for handling Subresource Integrity.
Crate v9.2.0 2023-07-18
github.com
## Summary This RFC proposes extending Rust's tooling support for safety hygiene to named fields that carry library safety invariants. Consequently, Rust programmers will be able to use the `unsafe` keyword to denote when a named field carr...
RFC 3458 RFC 2023-07-13 ~30 min read
github.com
## Summary [summary]: #summary Create a new subteam focused on testing in the development workflow and to be responsible for ensuring Rust has a high quality automated testing experience that includes the capabilities developers expect when...
RFC 3455 RFC 2023-07-03 ~4 min read
"This is basically the programming version of "learning Japanese as an English speaker is hard, therefore it is not a good language for babies to learn..."

Search tips

Type anything to search across articles, videos (including conference talks), podcasts, research, crates, and Rust API documentation. These operators give you finer control — click an example to try it.

Find pages containing all your words. Pages where the words appear together rank higher.
Quote part of your query to keep those words together as an exact phrase within a larger search.
Wrap the whole query in quotes for a verbatim search that matches text exactly, punctuation and all — perfect for Rust syntax. Needs at least 3 characters.
Put ! first to open the top result immediately. Quote the whole query for a literal leading bang, as in '!Send'. Bangs elsewhere, such as println!, stay literal. Browser and launcher shortcuts can invoke this directly. See search integrations.
Limit results to a single site. Works on its own () too. One site: per search.

Use the tabs and filters above the results to narrow by content type, publication year, and sort order.